Subject: Re: Library Link Problem
From: [email-masked] (Alain CULOS)

26 Feb 1998 01:28:24 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Thanks Earnie,

make (trying to compile V) produced the following output :
==========
gcc -o ../Bin/vgen ../Obj/vgapp.o ../Obj/vgcmdw.o ../Obj/vgcode.o ../Obj/vgmdlg.o ../Obj/vgdlmdlg.o ../Obj/vgtnmdlg.o ../Obj/vgcnv.o -L../Lib -lcomdlg32 -lkernel32 -luser32 -ladvapi32 -lgdi32 -lstdc++ -lV -mwindows

/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/bin/ld.exe: warning: cannot find entry symbol _WinMainCRTStartup; defaulting to 00401000
==========

It does compile and generate the exe I'm looking for, and the exe looks OK when I run it from within bash.
Should I worry about this warning ?

Thanks again,
Al.

Earnie Boyd wrote - replying to my library link problem :

> add -mwindows to the gcc command line.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
=-=-=-=-= ANTI SPAM / ANTI ARROSAGE COMMERCIAL : 
Pour me répondre, veuillez enlever les deux moins de mon adresse.
To answer me, please take out both minus signs from my address.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".